{ enableSSL, ... }:

let host = "tegakituesday.com"; in {
  imports = [
    ./ji-chan.nix
  ];
  services.nginx.virtualHosts."www.${host}" = {
    forceSSL = enableSSL;
    enableACME = enableSSL;
    globalRedirect = host;
  };
  services.nginx.virtualHosts."${host}" = {
    forceSSL = enableSSL;
    enableACME = enableSSL;
    locations = {
      "/".root = "/mnt/data/forgejo/sites/tegakituesday.com/public";
    };
  };
}